# Calculates the lower expectation of X with respect to generalised lower probability L
# The set taken is of the form E_p f >= L(f)
function [retl, retprob] = lowerExpSet (L, fnals, X)
	n = length(X);
	# matrix
	a = [ones(1, n); fnals];	
	# RHS
	b = [1; L];
# 	########### Print the linear program #############
# 	for i=1:length(a)
# 		printf("%2.0f", a(i, :));
# 		printf(": ");
# 		printf("%2.2f\n", b(i));
# 	endfor
	# lower bounds
	lb(length(X),1) = 0;
	# upper bounds
	ub = [];
	# types of equations
	ctype = "S";
	for i = 1:length(L);
		ctype = strcat (ctype, "L");
	endfor	
	# types of variables
	vartype = "";
	for i = 1:length(X);
		vartype = strcat (vartype, "C");
	endfor	
	s = 1;		
	param.msglev = 1;
	param.itlim = 100;	
	[xmin, fmin, status, extra] = glpk (X', a, b, lb, ub, ctype, vartype, s, param);
	retl = fmin;
	retprob = xmin;
endfunction;
